ace-of-penguins (1.5~rc2-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.2.1.
  * Fix FTCBFS uses the build architecture compiler.
    - Pass a cross compiler for CC, but not BUILD_CC.
    - Missing Build-Depends: libpng-dev:native, zlib1g-dev:native.
    Thanks to Helmut Grohne for the report and patch. (Closes: #900200)

 -- Markus Koschany <apo@debian.org>  Sun, 26 Aug 2018 01:08:11 +0200

ace-of-penguins (1.5~rc2-2) unstable; urgency=medium

  * Use compat level 11.
  * Use canonical VCS address.
  * Declare compliance with Debian Policy 4.1.3.
  * Drop obsolete menu file and xpm icon.
  * Remove dirs file.
  * Use https for Format field.
  * Add freecell-KDE.patch and fix freecell's start issues on KDE.
    Thanks to Dr. Claudia Neumann for the report and Esa Peuha for the patch.
    (Closes: #883707)

 -- Markus Koschany <apo@debian.org>  Fri, 02 Mar 2018 21:53:00 +0100

ace-of-penguins (1.5~rc2-1) unstable; urgency=medium

  * Imported Upstream version 1.5~rc2.
    - penguin-spider: Pressing buttons 2 or 4 will call the two or four suits
      game again. Thanks to Gunther Furtado for the report and Esa Peuha for
      the patch. (Closes: #810848)
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Tue, 19 Jan 2016 20:42:21 +0100

ace-of-penguins (1.5~rc1-1) unstable; urgency=medium

  * New maintainer: Debian Games Team. (Closes: #809995)
  * Add myself to Uploaders.
  * Imported Upstream version 1.5~rc1. (Closes: #808340)
    Thanks to Esa Peuha for the report.
    - Fixes conflicting declarations of struct image_list. (Closes: #749630)
    - Fixes FTBFS with libpng16. (Closes: #809878)
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Switch Vcs-* fields to pkg-games.
  * Remove NEWS.Debian. It is obsolete now.
  * Remove Pre-Depends multiarch-support.
    It is not required for Stretch anymore. This also fixes Lintian error
    pre-depends-directly-on-multiarch-support.
  * Remove ${misc:PreDepends} dependency.
  * Make the build reproducible by using the last changelog date as a timestamp
    for the manpage. Thanks to Reiner Herrmann for the report and patch.
    (Closes: #782316)
  * Drop libxpm-dev from Build-Depend because it is no longer needed.
    Thanks to Esa Peuha for the hint.
  * Drop all patches. Applied upstream.
  * Update homepage field and point to delorie.com.
  * desktop files: Update keywords and do not use absolute paths for Exec
    commands.
  * Move all desktop files to debian/desktop subdirectory.
  * Replace penguin-pegged.png icon with upstream's ace.png icon.
  * Provide a new menu icon. (Closes: #737787)
  * Drop README.source.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Jan 2016 18:21:53 +0100

ace-of-penguins (1.3-13) unstable; urgency=low

  * debian/patches
    - (31): New. Fix spider.c license (Closes: #668985).
    - (32): New. Fix WM hints on 64-bit, so all
      windows can be moved. Patch thanks to Ove Kåven <ovek@arcticnet.no>.
      (Closes: #538216).
    - (34): New.  Workaround for touchscreen issue.
      Patch thanks to Ove Kåven <ovek@arcticnet.no>.
    - (35): New. Fix return and clang compilation (FTBFS; Closes: #741609).
      Patch thanks to Piotr Sokołowski <piotrsok2@gmail.com>.
    - (55): Add Bug-Debian field.
  * debian/control
    - (Standards-Version): Update to 3.9.5.
  * debian/copyright
    - Update years. Add Steve Langasek.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 17 Mar 2014 11:23:13 +0200

ace-of-penguins (1.3-12) unstable; urgency=low

  * Team upload
    - This release always runs autoreconf.
  * debian/ace-of-penguins.lintian-overrides
    - Update for the latest messages.
  * debian/control
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/pod2man.mk
    - Remove sed.
  * debian/rules
    - Simplify hardened build flags.
    - (ORIG): New. Preserve original file through autoreconf.
  * debian/source.lintian-overrides
    - Delete. No longer needed (ancient-libtool).
  * debian/*.desktop
    - (Keywords): New field.

  [ Steve Cotton <steve@s.cotton.clara.co.uk> ]
  * debian/control
    - (Build-Depends): Add dh-autoreconf.
  * debian/patches:
    - (50): Adjust linking with -lpng (FTBFS; Closes: 712534).
    - (55): New. (AM_LDFLAGS): Link with -lpng -lz -lm.
  * debian/rules
    - Add --with autoreconf.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 02 Jul 2013 10:57:43 +0300

ace-of-penguins (1.3-11) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/rules
    - (override_dh_auto_ins): Remove "*.la" file even in multiarch
      (Closes: #621146).
  * Use hardened build flags.
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 19 May 2013 15:46:47 +0300

ace-of-penguins (1.3-10) unstable; urgency=low

  * debian/series
    - (45): Add libpng 1.5 transition patch. For some reason the line
      was mistankely deleted in 1.3-9.
    - (50): New. Included in 1.3-9 but not listed in changelog.
      Enable CPPFLAGS, thus making full use of hardened build flags
      (hardening=+all) added in 1.3-8. Patch thanks to Simon Ruderich
      <simon@ruderich.org>

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 12 Jul 2012 13:35:26 +0300

ace-of-penguins (1.3-9) unstable; urgency=low

  * debian/control
    - (Recommends): Add xfonts-100dpi. This fixes F1 keypress
      segmentation fault crash on systems which do not already have the font
      installed (Closes: #679875). Thanks to Lukas Hofmann <lhfloss@gmx.de>
      for the patch.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 10 Jul 2012 12:47:52 +0300

ace-of-penguins (1.3-8) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (standards-Version): Update to 3.9.3.1.
  * debian/rules
     - Enable all hardening flags.
  * debian/ace-of-penguins.6.pod
    - (AUTHORS): Correct typo (Closes: #663892).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 12:24:25 -0400

ace-of-penguins (1.3-7) unstable; urgency=low

  * debian/ace-of-penguins.lintian-overrides
    - Update entries according to changed messages.
  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
      Change libpng12-dev to libpng-dev; libpng 1.5 transition
      <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650601>.
    - (Depends): Add ${misc:PreDepends} for multiarch-support.
    - (Pre-Depends): New. Add multiarch-support.
    - (Standards-Version): Update to 3.9.3.
  * debian/copyright
    - Update to DEP5 1.0.
  * debian/rules
    - Update to use TABs.
    - (override_dh_auto_configure): Use dh_auto_configure with params.
    - (override_dh_auto_build): Clean up.
    - (override_dh_auto_install): Clean up.
    - Change to DEB_*_MAINT_APPEND variables.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 05 Mar 2012 05:10:16 -0500

ace-of-penguins (1.3-6) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/debian-compile.mk
    - Remove. No longer needed.
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
  * debian/rules
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/patches
    - (45): libpng 1.5 transition. Patch thanks to Nobuhiro Iwamatsu
      <iwamatsu@nigauri.org> (FTBFS; Closes: #635741).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 06 Feb 2012 16:05:56 +0200

ace-of-penguins (1.3-5) unstable; urgency=low

  * debian/rules
    - (ICON_NAME, ICON_SRC): New variables.
    - (override_dh_auto_install): Fix icon install (Closes: #649278).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 19 Nov 2011 17:06:22 +0200

ace-of-penguins (1.3-4) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.2.
    - (Vcs-Git): change protocol from http to git.
  * debian/copyright
    - (Format): Update URL.
    - (LGPL-2+): Add.
  * debian/penguin-pegged.png
    - New. (LP #651366; Closes: #649154). Thanks to Ubuntu
      Michael Rawson <michaelrawson76@gmail.com>.
    - See https://bugs.launchpad.net/ubuntu/+source/ace-of-penguins/+bug/651366
  * debian/README.source
    - Fix a small typo.
  * debian/rules
    - (override_dh_auto_install): Install icon.
  * debian/source/include-binaries
    - New.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 18 Nov 2011 20:24:10 +0200

ace-of-penguins (1.3-3) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Use debhelper 8.
  * debian/copyright
    - Update to DEP5 layout.
  * debian/patches
    - (40): Fix Gcc 4.5 includes.
  * debian/rules
    - (override_dh_auto_install): Remove *.la (Closes: #621146).
    - (override_dh_auto_test): Update code layout.
    - (override_dh_installdocs): Update code layout.
    - (.PHONY): Add targets test and man.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Apr 2011 16:08:25 +0300

ace-of-penguins (1.3-2) unstable; urgency=low

  * debian/menu
    - Add ace-spider. Contribution Thanks to Artur Rona
      <ari-tczew@ubuntu.com> (Closes: #601984).
  * debian/ace-of-penguins.6.orig.man
    - Delete. Obsoleted by POD format.
  * debian/ace-of-penguins.6.pod
    - Add ace-spider. Contribution Thanks to Artur Rona
      <ari-tczew@ubuntu.com>.
  * debian/patches
    - (30): New. For the spider game, Fix implicit pointer conversion.
      Patch thanks to Julien Lavergne <gilir@ubuntu.com>, forwarded by
      Artur Rona <ari-tczew@ubuntu.com> (Closes: Bug#601986).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 31 Oct 2010 19:13:50 +0200

ace-of-penguins (1.3-1) unstable; urgency=low

  * New upstream release (Closes: #590119).
    - New game: spider.
    - Game canfield segmentation fault (Closes: #543120).
    - Merge Debian patches (Closes: #60976).
  * ACK NMU changes.
  * Move to packaging format "3.0 (quilt)".
  * debian/clean
    - New file.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1. Remove dpatch.
    - (Depends): Add ${misc:Depends}.
    - (Description): add canfield, spider, thornq (Closes: #549872).
    - (Standards-Version): Update to 3.9.1.
  * debian/manpages
    - New file.
  * debian/patches
    - Remove patches included upstream.
    - (10): New. autoreconf -fi (2.65).
    - (20): New. Add missing closedir(), see LP#480628.
  * debian/penguin-spider.desktop
    - New file.
  * debian/rules
    - Rewrite to use dh(1); (FTBFS; Closes: #587126).
  * debian/source/format
    - New file.
  * debian/watch
    - Update to format 3.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 25 Oct 2010 16:30:26 +0300

ace-of-penguins (1.2-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Compress manual pages correctly (closes: #587126).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 19 Jul 2010 22:54:03 +0200

ce-of-penguins (1.2-9) unstable; urgency=low

  * GENRAL INFORMATION
    - Summary: the whole package is now patch based.
    - The orginal sources were restored and patches accumulated
      to it were extracted and moved to /debian/patches
    - The original sources were upgraded to latest automake by
      re-libtoolizing with 'autoreconf -fi'. The results were then
      turned into patches. See debian/README.source
  * debian/*.desktop
    - New files. Files submitted by Daniel Dickinson <cshore@wightman.ca>.
      Closes: #478847.
  * debian/*.pod
    - Fix incorrect =item tag.
  * debian/*.lintian-overrides
    - Ignore autoreconf and library notes.
  * debian/copyright
    - Update to new dh-make layout.
    - Add Debian packaging copyrights.
    - Change upstream URL to point to freshmeat.
    - Explicitly spell v2 or any later version (lintian).
  * debian/compat
    - update to 7.
  * debian/control:
    - (Build-Depends): debhelper (>= 7), was 4. Add dpatch.
    - (Description): Replace term 'Unix/X' with 'graphical'.
    - (Vcs-*): Add new fields.
    - (Homepage): Add new field.
    - (Standards-Version): Update to 3.8.2.
    - (Build-Depends): Remove non-used dpatch.
  * debian/debian-vars.mk
    - Many new variables like CFLAGS, MAKE_FLAGS
    - By default use -j<CPU_COUNT> for make.
  * debian/rules
    - Add dpatch.
    - (binary-arch): Add dh_compress and adjust the manual page
      installation. Remove obsolete dh_desktop.
    - (build-man): New.
    - (clean): Fix lintian checks about -$(MAKE). Clean editors' temporary
      files.
    - (clean-man): New.
    - (install): install *.desktop files. Change programs' prefix form
      ace_* to ace-*. Change 'dh_clean -k' with dh_prep. Install lintian
      override file.
    - (test): New target.
  * debian/README.source
    - Explain autconf 2.64 re-libtoolize process
    - Explain debian/rules specifics concerning libtoolize.
  * games/taipei.html
    - Revert Bug#327185. According to the upstream,
      every game can be won. Explain this in page.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 05 Aug 2009 11:39:32 +0000

ace-of-penguins (1.2-8) unstable; urgency=low

  * New maintainer (ITA; Closes: #357754).
  * debian/control
    - (Standards-Version): Update to 3.7.2.
  * games/taipei.html
    - Correct text to announce that not every
      game can be won (Closes: #327185).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 28 Mar 2006 11:57:39 +0300

ace-of-penguins (1.2-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Add a proper copyright statement in debian/copyright.  Closes: #337362.

 -- Steve Langasek <vorlon@debian.org>  Wed, 16 Nov 2005 23:32:45 -0800

ace-of-penguins (1.2-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add some missing includes that will cause returned pointer values to
    be truncated on certain 64-bit architectures.

 -- dann frazier <dannf@debian.org>  Tue, 13 Sep 2005 23:40:09 -0600

ace-of-penguins (1.2-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix a build failure using gcc-4.0, which is now the default
    compiler; thanks to Andreas Jochens for the patch.  Closes: #285058.

 -- Steve Langasek <vorlon@debian.org>  Sat, 16 Jul 2005 20:44:16 -0700

ace-of-penguins (1.2-7) unstable; urgency=low

  * fix FTBFS with gcc-3.4 (closes: #259992)

 -- Thimo Neubauer <thimo@debian.org>  Fri,  3 Dec 2004 21:59:51 +0100

ace-of-penguins (1.2-6) unstable; urgency=low

  * games/thornq.c: apply patch from Seneca Cunningham so that facedown
    cards aren't treated like faceup ones on doubleclick (closes: #214254)
  * configure.in: change AC_PATH_XTRA to only search for libX11. The
    default would think that X is not installed...
  * regenerated libtool-data (closes: #201912)
  * added debian/watch
  * debian/rules: remove manpage-links on "clean", they are regenerated
    anyway
  * debian/menu: quote all strings
  * debian/control: build-depend on debhelper >= 4 according to compat-level
  * debian/control: change build-depend from xlibs-dev to libx11-dev
  * upgraded to standards version 3.6.1.0
  * move from DH_COMPAT to debian/compat

 -- Thimo Neubauer <thimo@debian.org>  Sun, 13 Jun 2004 19:31:12 +0200

ace-of-penguins (1.2-5) unstable; urgency=low

  * games/mastermind.c: key "r" had two functions bound to it, just use
    the function mentioned in the help (fix by Seneca Cunningham)
    (closes: #166560)
  * debian/control: changed build-dep from libpng2 to libpng12
  * debian/rules: upgraded to DH_COMPAT level 4
  * debian/rules: set compiler-flags according to new policy
  * upgraded to standards version 3.5.8.0

 -- Thimo Neubauer <thimo@debian.org>  Tue, 11 Feb 2003 19:08:45 +0100

ace-of-penguins (1.2-4) unstable; urgency=low

  * debian/rules: forgot several "&&" when touching files. This
    created a file "touch" during the build
  * changed picture names in games/taipedit.html, now ace_taipedit doesn't
    segfault when showing the help (closes: #66268)
  * games/solitaire.c: clicking another button cancels dragging
    (closes: #103117)

 -- Thimo Neubauer <thimo@debian.org>  Mon, 26 Aug 2002 15:34:25 +0200

ace-of-penguins (1.2-3) unstable; urgency=low

  * debian/rules: remove library stuff which would only be needed if
    someone wanted to link his programs against libcards. This makes the
    package lintian clean!
  * Hopefully this upload is fast enough so that the buildds haven't
    started building the last release yet...

 -- Thimo Neubauer <thimo@debian.org>  Tue, 16 Apr 2002 19:27:40 +0200

ace-of-penguins (1.2-2) unstable; urgency=low

  * patched lib/table.c, lib/xwin.c and lib/xwin.h to avoid segfault when
    DISPLAY is not set (closes: #133465, #115463)

 -- Thimo Neubauer <thimo@debian.org>  Tue, 16 Apr 2002 18:12:12 +0200

ace-of-penguins (1.2-1) unstable; urgency=low

  * new upstream sources (closes: #132891)
  * debian/rules: added new game, added suggestions from autotools-dev
  * debian/ace-of-penguins.doc-base: fixed path
  * updated manpage (closes: #103189, #127077)
  * added menu hints (closes: #128753)
  * acknowledged NMU (closes: #86789)
  * upgraded to standards version 3.5.6.0
  * add Build-Dep on autotools-dev to get fresh config.{sub,guess}

 -- Thimo Neubauer <thimo@debian.org>  Thu,  7 Mar 2002 17:45:13 +0100

ace-of-penguins (1.1-2.1) unstable; urgency=high

  * NMU
  * Changed the build dependencies for XFree4. (closes: #86789)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 16 Mar 2001 21:31:20 +0100

ace-of-penguins (1.1-2) unstable; urgency=low

  * recompiled with newer version of xpm to get the dependencies right for
    upgrades to XFree86 (closes #67959)
  * added Build-Depends (closes #70061, #70115)
  * Updated to policy standards 3.1.1.0

 -- Thimo Neubauer <thimo@debian.org>  Mon, 11 Sep 2000 12:38:38 +0200

ace-of-penguins (1.1-1) unstable; urgency=low

  * New upstream release (closes #43828)
  * wrote man-pages
  * Updated to policy standards 3.0.0

 -- Thimo Neubauer <thimo@debian.org>  Fri, 10 Sep 1999 17:58:12 +0200

ace-of-penguins (1.0-3) unstable; urgency=low

  * removed COPYING to fix lintian-warning extra-license-file

 -- Thimo Neubauer <thimo@debian.org>  Sun, 13 Sep 1998 22:20:09 +0200

ace-of-penguins (1.0-2) unstable; urgency=low

  * changed names to ace_* to avoid namespace-pollution

 -- Thimo Neubauer <thimo@debian.org>  Fri, 11 Sep 1998 20:13:06 +0200

ace-of-penguins (1.0-1) unstable; urgency=low

  * added install-target to Makefile
  * Changed clean-target to delete all created files
  * Initial Release.

 -- Thimo Neubauer <thimo@debian.org>  Wed, 22 Jul 1998 17:52:44 +0200
